Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 224648 - sort by uid instead of cn in dirbrowser
Summary: sort by uid instead of cn in dirbrowser
Keywords:
Status: CLOSED UPSTREAM
Alias: None
Product: Red Hat Directory Server
Classification: Red Hat
Component: UI - Dir Browser
Version: 7.2
Hardware: All
OS: All
low
medium
Target Milestone: DS_Future
: ---
Assignee: Rich Megginson
QA Contact: Viktor Ashirov
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2007-01-26 21:03 UTC by Ulf Weltman
Modified: 2016-04-07 20:07 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2016-04-07 20:07:06 UTC


Attachments (Terms of Use)

Description Ulf Weltman 2007-01-26 21:03:30 UTC
A customer requests that the Directory Browser sort with uid as first key, or
make sort order configurable.  The reason is that the label it displays for
entries is always the RDN; they have entries with uid as the RDN, but the
Directory Browser uses cn as first sort key, so even though the entries can be
considered to be sorted, the list looks wrong since the uid is displayed.

I think it makes some sense to use uid as the first sort key since the
New->Person template uses uid as RDN.

Comment 2 Rich Megginson 2009-01-14 17:53:54 UTC
latering to 8.2

Comment 3 Rich Megginson 2012-01-09 19:27:02 UTC
Upstream ticket:
https://fedorahosted.org/389/ticket/219

Comment 5 Noriko Hosoi 2016-04-07 20:07:06 UTC
Per triage, close and handle with upstream ticket.


Note You need to log in before you can comment on or make changes to this bug.